## mactelnet 0.3.4

=== Makefile ===

CC?=gcc

# Run this with make LIBS=-lrt if you want to compile on kfreebsd

all: macping mndp mactelnet mactelnetd

clean: dist-clean

dist-clean:
	rm -f mactelnet macping mactelnetd mndp
	rm -f *.o

install: all install-docs
	install -d $(DESTDIR)/usr/bin
	install mndp $(DESTDIR)/usr/bin/
	install macping $(DESTDIR)/usr/bin/
	install mactelnet $(DESTDIR)/usr/bin/
	install -d $(DESTDIR)/usr/sbin
	install -o root mactelnetd $(DESTDIR)/usr/sbin/
	install -d $(DESTDIR)/etc
	install -m 600 -o root config/mactelnetd.users $(DESTDIR)/etc/

install-docs:
	install -d $(DESTDIR)/usr/share/man/man1/
	install docs/*.1 $(DESTDIR)/usr/share/man/man1/

users.o: users.c users.h
	${CC} -Wall ${CFLAGS} -DUSERSFILE='"/etc/mactelnetd.users"' -c users.c

protocol.o: protocol.c protocol.h
	${CC} -Wall ${CFLAGS} -c protocol.c

interfaces.o: interfaces.c interfaces.h
	${CC} -Wall ${CFLAGS} -c interfaces.c

md5.o: md5.c md5.h
	${CC} -Wall ${CFLAGS} -c md5.c

mactelnet: config.h mactelnet.c mactelnet.h protocol.o console.c console.h interfaces.o md5.o
	${CC} -Wall ${CFLAGS} ${LDFLAGS} -o mactelnet mactelnet.c protocol.o console.c interfaces.o md5.o ${LIBS}

mactelnetd: config.h mactelnetd.c protocol.o interfaces.o console.c console.h users.o users.h md5.o
	${CC} -Wall ${CFLAGS} ${LDFLAGS} -o mactelnetd mactelnetd.c protocol.o console.c interfaces.o users.o md5.o ${LIBS}

mndp: config.h mndp.c protocol.o
	${CC} -Wall ${CFLAGS} ${LDFLAGS} -o mndp mndp.c protocol.o ${LIBS}

macping: config.h macping.c interfaces.o protocol.o
	${CC} -Wall ${CFLAGS} ${LDFLAGS} -o macping macping.c interfaces.o protocol.o ${LIBS}

=== debian/changelog ===
mactelnet (0.3.4-1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2016-7115.patch
    Buffer overflow in the handle_packet function in mactelnet.c in the 
    client in MAC-Telnet 0.4.3 and earlier allows remote TELNET servers to 
    execute arbitrary code via a long string in an MT_CPTYPE_ENCRYPTIONKEY
    control packet. 
 
 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Sep 2016 18:03:02 +0200

mactelnet (0.3.4-1) unstable; urgency=low

  * Upstream release 0.3.4
  * Added librt as dependancy for kfreebsd platform.

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Tue, 21 Nov 2011 18:44:52 +0100

mactelnet (0.3.2-2) unstable; urgency=low

  * Fixed a problem where the init script was unable to stop mactelnet-server.

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Tue, 10 Nov 2011 20:41:03 +0100

mactelnet (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #615823)

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Tue, 01 Nov 2011 16:33:22 +0100

=== debian/control ===
Source: mactelnet
Section: net
Priority: extra
Maintainer: Håkon Nessjøen <haakon.nessjoen@gmail.com>
Build-Depends: debhelper (>= 8.1.2~)
Standards-Version: 3.9.2
Homepage: https://github.com/haakonnessjoen/MAC-Telnet/downloads
Vcs-Git: git://github.com/haakonnessjoen/MACTelnet-Debian-Packaging.git
Vcs-Browser: https://github.com/haakonnessjoen/MACTelnet-Debian-Packaging

Package: mactelnet-client
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Console tools for telneting and pinging via MAC addresses
 Ping, discovery and telnet tools for connecting to Mikrotik RouterOS
 devices, or other MAC-Telnetd powered machines/devices.
 .
 This tool can communicate over the local area network using UDP packets
 with a MAC-address as destination. You can telnet Linux machines that
 have installed mactelnet-server, or a Mikrotik RouterOS device.
 .
 Uses Mikrotik's own proprietary protocol. Included are also MNDP discovery
 application, and macping to ping via the mactelnet protocol.

Package: mactelnet-server
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Telnet daemon for accepting connections via MAC addresses
 This is a telnet daemon that uses Mikrotiks proprietary MAC-Telnet protocol.
 You will be enabled to "mac-telnet" from Linux machines with mactelnet-client
 or Mikrotik RouterOS devices which already has tools for this.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

# librt only needed on kfreebsd
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	LIBS := -lrt
endif

export CFLAGS
export LDFLAGS
export LIBS

%:
	dh $@ 

override_dh_fixperms:
	dh_fixperms --exclude mactelnetd.users

## mactelnet 0.4.0

=== Makefile ===
--- 
+++ 
@@ -5,11 +5,14 @@
 
 all: macping mndp mactelnet mactelnetd
 
-clean: dist-clean
+clean: distclean
 
-dist-clean:
+distclean:
 	rm -f mactelnet macping mactelnetd mndp
+	rm -f po/*.pot
 	rm -f *.o
+
+dist: distclean po
 
 install: all install-docs
 	install -d $(DESTDIR)/usr/bin
@@ -25,6 +28,11 @@
 	install -d $(DESTDIR)/usr/share/man/man1/
 	install docs/*.1 $(DESTDIR)/usr/share/man/man1/
 
+po: po/mactelnet.pot
+
+po/mactelnet.pot: *.c
+	xgettext --package-name=mactelnet --msgid-bugs-address=haakon.nessjoen@gmail.com -d mactelnet -C -c_ -k_ -kgettext_noop *.c -o po/mactelnet.pot
+	
 users.o: users.c users.h
 	${CC} -Wall ${CFLAGS} -DUSERSFILE='"/etc/mactelnetd.users"' -c users.c
 
@@ -37,8 +45,8 @@
 md5.o: md5.c md5.h
 	${CC} -Wall ${CFLAGS} -c md5.c
 
-mactelnet: config.h mactelnet.c mactelnet.h protocol.o console.c console.h interfaces.o md5.o
-	${CC} -Wall ${CFLAGS} ${LDFLAGS} -o mactelnet mactelnet.c protocol.o console.c interfaces.o md5.o ${LIBS}
+mactelnet: config.h mactelnet.c mactelnet.h protocol.o console.c console.h interfaces.o md5.o mndp.c
+	${CC} -Wall ${CFLAGS} ${LDFLAGS} -o mactelnet mactelnet.c protocol.o console.c interfaces.o md5.o -DFROM_MACTELNET mndp.c ${LIBS}
 
 mactelnetd: config.h mactelnetd.c protocol.o interfaces.o console.c console.h users.o users.h md5.o
 	${CC} -Wall ${CFLAGS} ${LDFLAGS} -o mactelnetd mactelnetd.c protocol.o console.c interfaces.o users.o md5.o ${LIBS}

=== debian/changelog ===
mactelnet (0.4.0-1) unstable; urgency=low

  * Upstream release 0.4.0
  * Updated copyright file with correct license information.
  * Updated copyright file with new format version.

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Tue, 21 Jul 2012 10:11:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Håkon Nessjøen <haakon.nessjoen@gmail.com>
 Build-Depends: debhelper (>= 8.1.2~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/haakonnessjoen/MAC-Telnet/downloads
 Vcs-Git: git://github.com/haakonnessjoen/MACTelnet-Debian-Packaging.git
 Vcs-Browser: https://github.com/haakonnessjoen/MACTelnet-Debian-Packaging

=== debian/watch ===
version=3
http://lunatic.no/mactelnet/mactelnet-(.*).tar.gz

## mactelnet 0.4.1

=== debian/changelog ===
mactelnet (0.4.1-2) unstable; urgency=low
  * Bug fixed upstream (closes: #749658)
  * Enabled gpg-check in watch file

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Fri, 13 Nov 2015 13:13:44 +0200

mactelnet (0.4.1-1) unstable; urgency=low
  * Upstream release 0.4.1
  * Updated changelog with correct date format

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Thu, 12 Nov 2015 00:57:21 +0200

## mactelnet 0.4.2

=== Makefile ===

CC?=gcc

all: macping mndp mactelnet mactelnetd

clean: distclean

distclean:
	rm -f mactelnet macping mactelnetd mndp
	rm -f *.o

potclean:
	rm -f po/*.pot

dist: distclean potclean pot

install: all install-docs
	install -d $(DESTDIR)/usr/bin
	install mndp $(DESTDIR)/usr/bin/
	install macping $(DESTDIR)/usr/bin/
	install mactelnet $(DESTDIR)/usr/bin/
	install -d $(DESTDIR)/usr/sbin
	install -o root mactelnetd $(DESTDIR)/usr/sbin/
	install -d $(DESTDIR)/etc
	install -m 600 -o root config/mactelnetd.users $(DESTDIR)/etc/

install-docs:
	install -d $(DESTDIR)/usr/share/man/man1/
	install docs/*.1 $(DESTDIR)/usr/share/man/man1/

pot: po/mactelnet.pot

po/mactelnet.pot: *.c
	xgettext --package-name=mactelnet --msgid-bugs-address=haakon.nessjoen@gmail.com -d mactelnet -C -c_ -k_ -kgettext_noop *.c -o po/mactelnet.pot

autologin.o: autologin.c autologin.h
	${CC} -Wall ${CFLAGS} -c autologin.c

users.o: users.c users.h
	${CC} -Wall ${CFLAGS} -DUSERSFILE='"/etc/mactelnetd.users"' -c users.c

protocol.o: protocol.c protocol.h
	${CC} -Wall ${CFLAGS} -c protocol.c

interfaces.o: interfaces.c interfaces.h
	${CC} -Wall ${CFLAGS} -c interfaces.c

md5.o: md5.c md5.h
	${CC} -Wall ${CFLAGS} -c md5.c

console.o: console.c
	${CC} -Wall ${CFLAGS} -c console.c

mactelnet: config.h mactelnet.c mactelnet.h protocol.o console.o interfaces.o md5.o mndp.c autologin.o
	${CC} -Wall ${CFLAGS} ${LDFLAGS} -o mactelnet mactelnet.c protocol.o console.o interfaces.o md5.o autologin.o -DFROM_MACTELNET mndp.c ${LIBS}

mactelnetd: config.h mactelnetd.c protocol.o interfaces.o console.o users.o users.h md5.o
	${CC} -Wall ${CFLAGS} ${LDFLAGS} -o mactelnetd mactelnetd.c protocol.o console.o interfaces.o users.o md5.o -lrt ${LIBS}

mndp: config.h mndp.c protocol.o
	${CC} -Wall ${CFLAGS} ${LDFLAGS} -o mndp mndp.c protocol.o ${LIBS}

macping: config.h macping.c interfaces.o protocol.o
	${CC} -Wall ${CFLAGS} ${LDFLAGS} -o macping macping.c interfaces.o protocol.o ${LIBS}

=== debian/changelog ===
mactelnet (0.4.2-1) unstable; urgency=low
  * Upstream release 0.4.2

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Mon, 16 Nov 2015 10:46:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Håkon Nessjøen <haakon.nessjoen@gmail.com>
 Build-Depends: debhelper (>= 8.1.2~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: https://github.com/haakonnessjoen/MAC-Telnet/downloads
 Vcs-Git: git://github.com/haakonnessjoen/MACTelnet-Debian-Packaging.git
 Vcs-Browser: https://github.com/haakonnessjoen/MACTelnet-Debian-Packaging

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,19 @@
 #!/usr/bin/make -f
 
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+# These are used for cross-compiling and for saving the configure script
+# from having to guess our platform (since we know it already)
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
 CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+CC=$(DEB_HOST_GNU_TYPE)-gcc
+LD=$(DEB_HOST_GNU_TYPE)-ld
+export CC LD
+endif
 
 # librt only needed on kfreebsd
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)

## mactelnet 0.4.4

=== debian/changelog ===
mactelnet (0.4.4-4) unstable; urgency=low

  * Updated debhelper build-depends version, to reflect compat level.

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Tue, 11 Oct 2016 14:36:00 +0200

mactelnet (0.4.4-3) unstable; urgency=low

  * Updated compat level
  * Changed vcs url to https
  * Added PIE hardening

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Tue, 11 Oct 2016 12:36:43 +0200

mactelnet (0.4.4-2) unstable; urgency=low

  * Updated standards version to 3.9.8
  * Added automake/autoconf to build-depends

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Tue, 11 Oct 2016 12:23:12 +0200

mactelnet (0.4.4-1) unstable; urgency=low

  * Upstream release 0.4.4
  * Includes upstream bugfix of CVE 2016-7115 (closes: #836320)

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Mon, 10 Oct 2016 23:34:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: extra
 Maintainer: Håkon Nessjøen <haakon.nessjoen@gmail.com>
-Build-Depends: debhelper (>= 8.1.2~)
-Standards-Version: 3.9.6
-Homepage: https://github.com/haakonnessjoen/MAC-Telnet/downloads
-Vcs-Git: git://github.com/haakonnessjoen/MACTelnet-Debian-Packaging.git
+Build-Depends: debhelper (>= 9), autoconf (>= 2.68~), automake (>= 1.1), dh-autoreconf (>= 10)
+Standards-Version: 3.9.8
+Homepage: https://github.com/haakonnessjoen/MAC-Telnet/
+Vcs-Git: https://github.com/haakonnessjoen/MACTelnet-Debian-Packaging.git
 Vcs-Browser: https://github.com/haakonnessjoen/MACTelnet-Debian-Packaging
 
 Package: mactelnet-client

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed
	# Make gettext regenerate .gmo files
	rm po/stamp-po

override_dh_fixperms:
	dh_fixperms --exclude mactelnetd.users

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://lunatic.no/mactelnet/mactelnet-(.*).tar.gz

## mactelnet 0.5.1

=== debian/changelog ===
mactelnet (0.5.1-2) unstable; urgency=medium

  * Source-only upload.
  * d/control: repository moved to Debian group

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 May 2024 23:33:47 +0100

mactelnet (0.5.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entries 0.3.4-1, 0.3.2-2.

  [ Håkon Nessjøen ]
  * Upstream release 0.5.1
  * Converted to systemd-service (closes: #1039260)
  * Locale files are not modified during build any more (closes: #1047023)
  * Updated debian/watch and upstream signing key

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Mon, 23 Apr 2024 13:12:12 +0200

=== debian/control ===
Source: mactelnet
Section: net
Priority: optional
Maintainer: Håkon Nessjøen <haakon.nessjoen@gmail.com>
Build-Depends: debhelper-compat (= 13), autoconf (>= 2.71), automake (>= 1.16), autopoint (>= 0.21), libssl-dev (>= 1.1), gettext (>=0.21)
Standards-Version: 4.6.0
Homepage: https://github.com/haakonnessjoen/MAC-Telnet/
Vcs-Git: https://salsa.debian.org/debian/mactelnet.git
Vcs-Browser: https://salsa.debian.org/debian/mactelnet

Package: mactelnet-client
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, mactelnet-locales
Description: Console tools for telneting and pinging via MAC addresses
 Ping, discovery and telnet tools for connecting to Mikrotik RouterOS
 devices, or other MAC-Telnetd powered machines/devices.
 .
 This tool can communicate over the local area network using UDP packets
 with a MAC-address as destination. You can telnet Linux machines that
 have installed mactelnet-server, or a Mikrotik RouterOS device.
 .
 Uses Mikrotik's own proprietary protocol. Included are also MNDP discovery
 application, and macping to ping via the mactelnet protocol.

Package: mactelnet-server
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, mactelnet-locales
Description: Telnet daemon for accepting connections via MAC addresses
 This is a telnet daemon that uses Mikrotiks proprietary MAC-Telnet protocol.
 You will be enabled to "mac-telnet" from Linux machines with mactelnet-client
 or Mikrotik RouterOS devices which already has tools for this.

Package: mactelnet-locales
Architecture: all
Depends: ${misc:Depends}
Description: Language support files for mactelnet-client and mactelnet-server
 This is language support files for the mactelnet-client and mndp tools, as
 well as the mactelnet-server login service daemon.

## mactelnet 0.5.2

=== debian/changelog ===
mactelnet (0.5.2-1) unstable; urgency=medium

  [ Håkon Nessjøen ]
  * Upstream release 0.5.2
  * Upstream code fixed gettimeofday issue (closes: #1075246)
  * Updated d/control with multiarch:foreign for mactelnet-locales
  * Updated debian policy standards version to 4.7.0

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Wed, 31 Jul 2024 21:28:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Håkon Nessjøen <haakon.nessjoen@gmail.com>
 Build-Depends: debhelper-compat (= 13), autoconf (>= 2.71), automake (>= 1.16), autopoint (>= 0.21), libssl-dev (>= 1.1), gettext (>=0.21)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/haakonnessjoen/MAC-Telnet/
 Vcs-Git: https://salsa.debian.org/debian/mactelnet.git
 Vcs-Browser: https://salsa.debian.org/debian/mactelnet
@@ -32,6 +32,7 @@
 
 Package: mactelnet-locales
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Language support files for mactelnet-client and mactelnet-server
  This is language support files for the mactelnet-client and mndp tools, as

## mactelnet 0.6.1

=== debian/changelog ===
mactelnet (0.6.1-1) unstable; urgency=medium

  [ Håkon Nessjøen ]
  * Upstream release 0.6.1
  * Updated d/copyright with new copyrights
  * Added "Documentation" tag to d/mactelnet-server.service file

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Mon, 12 Aug 2024 23:17:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Håkon Nessjøen <haakon.nessjoen@gmail.com>
-Build-Depends: debhelper-compat (= 13), autoconf (>= 2.71), automake (>= 1.16), autopoint (>= 0.21), libssl-dev (>= 1.1), gettext (>=0.21)
+Build-Depends: debhelper-compat (= 13), autoconf (>= 2.71), automake (>= 1.16), autopoint (>= 0.21), libbsd-dev (>= 0.11), libssl-dev (>= 1.1), gettext (>=0.21)
 Standards-Version: 4.7.0
 Homepage: https://github.com/haakonnessjoen/MAC-Telnet/
 Vcs-Git: https://salsa.debian.org/debian/mactelnet.git
@@ -16,8 +16,8 @@
  devices, or other MAC-Telnetd powered machines/devices.
  .
  This tool can communicate over the local area network using UDP packets
- with a MAC-address as destination. You can telnet Linux machines that
- have installed mactelnet-server, or a Mikrotik RouterOS device.
+ with a MAC-address as destination. You can mac-telnet Linux machines that
+ have installed mactelnet-server, or Mikrotik RouterOS devices.
  .
  Uses Mikrotik's own proprietary protocol. Included are also MNDP discovery
  application, and macping to ping via the mactelnet protocol.
@@ -27,8 +27,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, mactelnet-locales
 Description: Telnet daemon for accepting connections via MAC addresses
  This is a telnet daemon that uses Mikrotiks proprietary MAC-Telnet protocol.
- You will be enabled to "mac-telnet" from Linux machines with mactelnet-client
- or Mikrotik RouterOS devices which already has tools for this.
+ You will be enabled to "mac-telnet" your machine from other Linux machines
+ with mactelnet-client or Mikrotik RouterOS devices which already has tools
+ for this.
 
 Package: mactelnet-locales
 Architecture: all

## mactelnet 0.6.3

=== debian/changelog ===
mactelnet (0.6.3-2) unstable; urgency=medium

  [ Håkon Nessjøen ]
  * Forgot to close the bug about invalid function sigs. (Closes: #1097350)

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Sun, 21 Sep 2025 19:09:42 +0200

mactelnet (0.6.3-1) unstable; urgency=medium

  [ Håkon Nessjøen ]
  * Upstream release 0.6.3
  * Upstream code fixes invalid function signatures for signal handlers
  * Upstream moves mactelnetd.1 to mactelnetd.8 as it is an admin tool

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Sun, 21 Sep 2025 17:42:42 +0200

mactelnet (0.6.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089381)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 18:26:36 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Håkon Nessjøen <haakon.nessjoen@gmail.com>
 Build-Depends: debhelper-compat (= 13), autoconf (>= 2.71), automake (>= 1.16), autopoint (>= 0.21), libbsd-dev (>= 0.11), libssl-dev (>= 1.1), gettext (>=0.21)
-Standards-Version: 4.7.0
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.7.2
 Homepage: https://github.com/haakonnessjoen/MAC-Telnet/
 Vcs-Git: https://salsa.debian.org/debian/mactelnet.git
 Vcs-Browser: https://salsa.debian.org/debian/mactelnet

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)

DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed
	# Make gettext regenerate .gmo files
	rm po/stamp-po

override_dh_fixperms:
	dh_fixperms --exclude mactelnetd.users

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://lunatic.no/mactelnet/ mactelnet-(.*)\.tar\.gz
